@import url("./photographer.css");
@import url("./lightbox.css");

body {
    font-family: "DM Sans", sans-serif;
    margin: 0;
}

h2, h3, p {
    margin: 0;
}


header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 90px;
    
}

header h1 {
    color: #901C1C;
    margin-right: 100px;
}

.logo {
    height: 50px;
    margin-left: 100px;
}

.photographer_section {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 40px;
    margin-top: 50px;
}


.photographer_section article {
    justify-self: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.photographer_section article a h2 {
    color: #D3573C;
    font-size: 28px;
    margin-bottom: 8px;
    font-weight: 200;
}
.photographer_section article h3 {
    color: #901C1C;
    font-size: 16px;
    margin-bottom: 8px;
}
.photographer_section article p, 
.photographer_section article span{
    font-size: 14px;
    margin-bottom: 8px;
}

.photographer_section article span{
    color: #525252;
}

.photographer_section article a img {
    height: 200px;
    width: 200px;
    border-radius:100%;
    object-fit: cover;
}

.photographer_section article a {
    text-decoration: none;
    text-align: center;
}


@media screen and (max-width:768px){
    header{
        flex-direction: column;
        height: auto;
    }
    header h1 {
        margin-right: 0;
        
    }
    .logo {
        height: 50px;
        margin-left: 0;
        margin: 1rem 0;
    }
    .photographer_section {
        grid-template-columns: 1fr;
        margin-top: 10px;
    }
}

@media screen and (min-width: 769px) and (max-width: 992px) {
    .photographer_section {
        grid-template-columns: 1fr 1fr;
    }
}


